
Infrastructure - Task #3880

Story # 3877 (Closed): Implement fixes, changes recommended by CTSC security audit

4.2.1.3 CILogon Extension Not Documented

2013-08-02 17:04 - Dave Vieglais

Status: New Start date: 2013-08-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Environment.Production Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

One of the key interfaces in the system is the XML that is added to the CILogon

certificate. This XML expresses the identities and privileges of the users and is intended to be consumed by CNs and MNs. The

reviewers did not find a schema or definition for this structure in the current documentation. Currently, DataONE has written all the

software that parses this extension, but if an MN needs to write software that does so, they will need documentation on its syntax and

semantics.

History

#1 - 2013-08-14 14:30 - Dave Vieglais

- Target version changed from 2013.30-Block.4.3 to 2013.33-Block.4.4

#2 - 2014-01-06 17:48 - Dave Vieglais

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#3 - 2014-03-14 17:20 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.14-Block.2.3

#4 - 2014-09-24 18:27 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to Maintenance Backlog

Powered by TCPDF (www.tcpdf.org)

2024-03-13 1/1

http://www.tcpdf.org

